Bug 620585 - [abrt] crash in boinc-client-6.10.45-1.r21128svn.fc13: ____strtol_l_internal: Process /usr/bin/boinc_client was killed by signal 11 (SIGSEGV)
[abrt] crash in boinc-client-6.10.45-1.r21128svn.fc13: ____strtol_l_internal:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
abrt_hash:33d51b7024399ea27b0143399d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 18:22 EDT by hadmanysons
Modified: 2011-02-18 20:22 EST (History)
4 users (show)

See Also:
Fixed In Version: boinc-client-6.10.58-3.r22930svn.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 20:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.15 KB, text/plain)
2010-08-02 18:22 EDT, hadmanysons
no flags Details

  None (edit)
Description hadmanysons 2010-08-02 18:22:17 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: boinc --gui_rpc_port
component: boinc-client
crash_function: ____strtol_l_internal
executable: /usr/bin/boinc_client
global_uuid: 33d51b7024399ea27b0143399d16324b138be804
kernel: 2.6.33.6-147.fc13.i686
package: boinc-client-6.10.45-1.r21128svn.fc13
rating: 4
reason: Process /usr/bin/boinc_client was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.type boinc --gui_rpc_port withouth any further arguments
2.
3.
Comment 1 hadmanysons 2010-08-02 18:22:19 EDT
Created attachment 436145 [details]
File: backtrace
Comment 2 Harish Pillay 2010-10-09 03:49:08 EDT
Seeing the same problem here.


SIGABRT: abort called
Stack trace (14 frames):
/usr/lib64/libboinc.so.6(boinc_catch_signal+0x4d)[0x7f7cd9701d2d]
/lib64/libpthread.so.0[0x390ac0f440]
/lib64/libc.so.6(gsignal+0x35)[0x390a0329a5]
/lib64/libc.so.6(abort+0x175)[0x390a034185]
/lib64/libc.so.6[0x390a06fd5b]
/lib64/libc.so.6(__fortify_fail+0x37)[0x390a0fb2a7]
/lib64/libc.so.6[0x390a0f91a0]
/lib64/libc.so.6[0x390a0f85f9]
/lib64/libc.so.6(_IO_default_xsputn+0xcc)[0x390a073e5c]
/lib64/libc.so.6(_IO_vfprintf+0x3826)[0x390a047b26]
/lib64/libc.so.6(__vsprintf_chk+0x9d)[0x390a0f869d]
/lib64/libc.so.6(__sprintf_chk+0x7f)[0x390a0f85df]
/usr/lib64/libboinc.so.6(_Z8dir_sizePKcRdb+0x9b)[0x7f7cd970349b]
/usr/lib64/libboinc.so.6(_Z8dir_sizePKcRdb+0xbe)[0x7f7cd97034be]

Exiting...

environment: F13 on 2.6.34.7-56.fc13.x86_64 with 4GB RAM on a Dell Vostro.
Comment 3 Harish Pillay 2010-10-09 03:50:01 EDT
and this is what's installed:

boinc-manager-6.10.45-1.r21128svn.fc13.x86_64
boinc-client-devel-6.10.45-1.r21128svn.fc13.x86_64
boinc-client-static-6.10.45-1.r21128svn.fc13.x86_64
boinc-client-6.10.45-1.r21128svn.fc13.x86_64
Comment 4 Milos Jakubicek 2011-01-20 04:30:00 EST
Reported upstream as http://boinc.berkeley.edu/trac/ticket/1040
Comment 5 Fedora Update System 2011-02-09 06:10:45 EST
boinc-client-6.10.58-3.r22930svn.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/boinc-client-6.10.58-3.r22930svn.fc13
Comment 6 Fedora Update System 2011-02-09 06:11:20 EST
boinc-client-6.10.58-3.r22930svn.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/boinc-client-6.10.58-3.r22930svn.fc14
Comment 7 Fedora Update System 2011-02-09 15:17:25 EST
boinc-client-6.10.58-3.r22930svn.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boinc-client'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/boinc-client-6.10.58-3.r22930svn.fc13
Comment 8 Fedora Update System 2011-02-18 20:22:04 EST
boinc-client-6.10.58-3.r22930svn.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-02-18 20:22:39 EST
boinc-client-6.10.58-3.r22930svn.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.